Bug 122384 - CAN-2004-0396 CVS pserver heap overflow via Entry/Is-modified/Unchanged
CAN-2004-0396 CVS pserver heap overflow via Entry/Is-modified/Unchanged
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cvs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 18:02 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 02:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2004-05-03 18:02:39 EDT
Stefan Esser of eMatters discovered a flaw in the CVS pserver which
allows malicious clients to execute arbitrary code with the privileges
of the CVS server.

CAN-2004-0396 Affects: 2.1AS 2.1ES 2.1WS 2.1AW 3AS 3ES 3WS 3DT

Embargoed; not sure of public date yet.
Comment 1 Mark J. Cox (Product Security) 2004-05-19 02:41:40 EDT
public, removing embargo
Comment 2 Mark J. Cox (Product Security) 2004-05-19 02:45:47 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-190.html

Note You need to log in before you can comment on or make changes to this bug.